Subject: Re: [manet] The "M" in "MANET"

From: "Tan, Chiang Kang " <[email-masked]>
Date: Tue, 30 Sep 2008 10:16:55 +0100

Salah,

> It is true that the fixed Internet is multihop, but not in 
> the MANET sense. In the MANET sense, the classical Internet 
> is actually single-hop. The host in the traditional Internet 
> always communicates single-hop. To communicate, it has to be 
> a single hop away from the peer host it wishes to communicate 
> with or a single hop away from the infrastructure (the 
> closest router). A node that is two hops away from a node it 
> wishes to communicate with or two hops away from the nearest 
> router is out of luck as hosts in between can't relay 
> traffic. With MANET, the situation is different. Any host 
> within range has embedded routing capability and can be used 
> to hop towards other hosts or towards the fixed infrastructure.
Internet is not circuit switched, so how is it single-hop?
 
> That's why MANET is very frequently described as multihop in 
> journal papers and RFC documents. To cite just one example, I 
> quote Charles Perkins:
> "We discuss only proposals that offer solutions to the case 
> in which some of the wireless nodes are not within range of 
> each other. Combined with the lack of infrastructure routers, 
> the restricted range of wireless transmission indicates the 
> need for *multihop* routing." (Page 4 of AD HOC NETWORKING, 
> published by Addison-Wesley).
MANET need not be multi-hop. I think it's just that multi-hop wireless
communication is an interesting problem/solution when it all started?

Regards,

Chiang 
 
> 
> -----Original Message-----
> From: Rex Buddenberg [mailto:[email-masked]]
> Sent: Tuesday, September 16, 2008 7:48 PM
> To: Buraiky, Salah M.
> Cc: [email-masked]
> Subject: Re: [manet] The "M" in "MANET"
> 
> Salah,
> 
> De-acronymizing MANET as multihop rather than mobile would 
> not yield any
> improvement.  The fixed internet is multihop -- that's the 
> whole point.
> 
> But you are right, 'mobile' is a cause of a great deal of confusion (I
> have to disentangle students all the time):
>         - layer 1 mobility is usually measured in things like 
> doppler shift.
>         - layer 2 mobility has a couple parts.  One is 
> handoffs where a
> subscriber station joins a new network segment and leaves an initial
> one.  WiFi, WiMAX and circuit-switch cellphone all do this.  
> At least as
> long as the two segments are in the same subnet (no change in routing
> tables).
>         - layer 2 mobility also properly encompasses 
> 'meshing' or 'daisy
> chaining'.  Which is what 802.11s is about.  There have been 
> a number of
> proprietary attempts to fill this space over the past few years (along
> with my students' stubbed toes).  While the meshing algorithms may be
> identical to layer 3 algorithms (e.g. OLSR), the implementation is
> clearly at layer 2 (and therefore outside of scope of MANET WG).
>         - layer 3 mobility is dealing with routing tables.  
> (The MANET WG has
> had to fend off the three bullets above on a periodic basis 
> on order to
> maintain focus.)
> 
> 
> Splitting hairs over the naming won't get us much value.  I 
> can't think
> of a term to replace the M with that would avoid having to make the
> above disentangle.  Besides, almost any change would wreck the proper
> pronunciation of the term;-)
> 
> 
> On Tue, 2008-09-16 at 11:26 +0300, Buraiky, Salah M. wrote:
> > Dear All,
> >
> >
> >
> > Why does the "M" in "MANET" stand for "Mobile" rather than
> > "Multihop"?
> >
> >
> >
> > Technologies such as 802.11b and Bluetooth do support both mobility
> > and ad-hoc connectivity. A fundamental distinction between those and
> > MANET protocols (and the protocols based on them such as 802.11s) is
> > that they are "multihop": to communicate, a node doesn't need to be
> > within range of a target node nor within range of a central element
> > (such as an access point) as long as it can reach the target through
> > intermediate relay nodes. The multihop nature is an 
> intrinsic property
> > that is always present regardless of the deployment 
> scenario. Mobility
> > is not. A MANET could consist of an un-engineered network 
> of *static*
> > nodes arbitrarily situated within an area. This network is multihop
> > but isn't mobile. I understand that both are appropriate qualifiers
> > for such ad hoc networks, I am just arguing that multihop is more
> > descriptive. Just I thought I wanted to share. What do you think?
> >
> >
> >
> >
> >
> > Best regards,
> >
> >
> >
> > Salah M.  S.  Al-Buraiky
> >
> > Engineering Network Management Group
> >
> > Data Network Engineering Division/CE&TSD/IT
> >
> > Saudi Aramco- Energy for Generations -
> >
> > Business Phone: +966 3 872 9880
> >
> >
> >
> > "The network should be invisible; the traffic should be granularly
> > visible"
> >
> >
> >
> >
> > _______________________________________________
> > manet mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/manet
> 
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet
> 

****************************************************************************
Please consider the environment before printing this email.
****************************************************************************
Thales Research and Technology (UK) Limited DISCLAIMER:  The information
contained in this e-mail is confidential.  It may also be legally
privileged.  It is intended only for the stated addressee(s) and access to
it by any other person is unauthorised.  If you are not an addressee, you
must not disclose, copy, circulate or in any other way use or rely on the
information contained herein.  Such unauthorised use may be unlawful.  We
may monitor all e-mail communications through our networks.  If you have
received this e-mail in error, please inform us immediately on +44 (0)1293
575987 and delete it and all copies from your system.  We accept no
responsibility for changes to any e-mail which occur after it has been sent.
Attachments to this e-mail may contain software viruses which could damage
your system.  We therefore recommend you virus-check all attachments before
opening.  The registered office of Thales Research and Technology (UK)
Limited is at: 2 Dashwood Lang Road, The Bourne Business Park, Addlestone,
Weybridge, Surrey KT15 2NX.  Registered in England No. 774298.
****************************************************************************

_______________________________________________
manet mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/manet